#
# spec file for package perl-Unicode-Map
#

# norootforbuild

Name:          perl-Unicode-Map
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:       Maps charsets from and to utf16 unicode
Url:           http://search.cpan.org/perldoc?Unicode::Map
Group:         Development/Libraries/Perl
License:       Artistic License
Version:       0.112
Release:       1.2
Vendor:        openSUSE-Education
Source:        %{cpan_name}-%{version}.tar.bz2
BuildRequires: perl-macros
Requires:      perl = %{perl_version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
This module converts strings from and to 2-byte Unicode UCS2 format. All
mappings happen via 2 byte UTF16 encodings, not via 1 byte UTF8 encoding. To
transform these use Unicode::String.

For historical reasons this module coexists with Unicode::Map8. Please use
Unicode::Map8 unless you need to care for two byte character sets, e.g. chinese
GB2312. Anyway, if you stick to the basic functionality (see documentation) you
can use both modules equivalently.

Practically this module will disappear from earth sooner or later as Unicode
mapping support needs somehow to get into perl's core. If you like to work on
this field please don't hesitate contacting Gisle Aas!

This module can't deal directly with utf8. Use Unicode::String to convert utf8
to utf16 and vice versa.

Character mapping is according to the data of binary mapfiles in Unicode::Map
hierarchy. Binary mapfiles can also be created with this module, enabling you
to install own specific character sets. Refer to mkmapfile or file REGISTRY in
the Unicode::Map hierarchy.


Author:
-------
    Martin Schwartz <martin@nacho.de>


%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Sun Mar 28 2010 lars@linux-schulserver.de
- initial version 0.112
